<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_graph.xml"
    app:startDestination="@id/login_fragment">

    <fragment
        android:id="@+id/login_fragment"
        android:name="ru.myitschool.work.ui.login.LoginFragment"
        android:label="LoginFragment">
        <action
            android:id="@+id/action_login_fragment_to_employee_fragment"
            app:destination="@id/employee_fragment" />
    </fragment>

    <fragment
        android:id="@+id/employee_fragment"
        android:name="ru.myitschool.work.ui.employee.EmployeeFragment"
        android:label="EmployeeFragment">
        <action
            android:id="@+id/action_employee_fragment_to_login_fragment"
            app:destination="@id/login_fragment" />
        <action
            android:id="@+id/action_employee_fragment_to_qr_fragment"
            app:destination="@id/qr_fragment" />
        <action
            android:id="@+id/action_employee_fragment_to_result_fragment"
            app:destination="@id/result_fragment" />
    </fragment>

    <fragment
        android:id="@+id/qr_fragment"
        android:name="ru.myitschool.work.ui.qr.scan.QrScanFragment"
        android:label="QrScanFragment"></fragment>

    <fragment
        android:id="@+id/result_fragment"
        android:name="ru.myitschool.work.ui.qr.result.ResultFragment"
        android:label="ResultFragment">
        <action
            android:id="@+id/action_result_fragment_to_employee_fragment"
            app:destination="@id/employee_fragment" />
        <action
            android:id="@+id/action_result_fragment_to_qr_fragment"
            app:destination="@id/qr_fragment" />
    </fragment>
</navigation>